開発談義
:CategoryDev


バージョンとそのサポートについて -- upk

1.4リリース後、1.3のサポートをどうしていくのか? また、1.5などが出た際に、1.3の取り扱いについては、どうするのか? といった考え方を一度、整理して、まとめておいた方が良いと思います。 というのも、PukiWiki/1.4/1.3系からの移行 でサポートを行うと完全明記していたので、気になりました。

  • そんなこと書いてません。引用するときは正確に引用しましょう。

    PukiWiki 1.3系は1.4が正式リリースされた後も、セキュリティ関係のバグフィックスなどのサポートは継続して行ないます。

    つまり、セキュリティ関係のバグフィックス以外は(原則として)行なわない。機能拡張はもちろんのこと、通常のバグについてはサポートしないということです。

ベンダーの考え方の例

  • 新版がリリースされた場合には、2世代前のサポートは、新版リリース日から1年でサポートを終了する。

  • 完全明記は、ご指摘の通りで、誤解ある表現で失礼しました。しかし、セキュリティ関係も、じゃ、いつまでサポートしていくつもりなの?ということと、など という曖昧な表現があるので、その境界となりそうなものは、厳しいと思うので、過去の版のサポートに、どこまでパワーを割くことを想定するのだろう?と思うわけです。サポートしないことを宣言しましょう。と指摘しているのではなく、ここまでは、サポートする用意がある。という方針をと考えての指摘なのですけども。 -- upk 2003-04-19 (土) 16:47:11
    • 過去版のサポートのために、新版のパワーが減っていく。これを、どう考えるか? -- upk 2003-04-19 (土) 16:49:29
    • 2重メンテも大変じゃないですかね?あと、何重メンテまで想定するつもりなのでしょうか? -- upk 2003-04-19 (土) 16:49:29
      • 修正するためには、その稼動環境がなきゃいけないわけですからねぇ。結構、大変じゃありませんか?なので、サポートは継続して行ないます。と宣言してもいいの? -- upk 2003-04-19 (土) 16:49:29
    • この提起は、今後、過去の版に関して、セキュリティ関係のバグであっても、フィックスさせていくことは、負荷がかかるので、できなくなる日に備え、何か指針みたいなものを出しておいたほうが良いのでは?と考えたわけですがね。--upk 2003-04-20 (日) 01:05:12
  • サポートは義務ではないので(というか、サポートしなければらならない状況に陥るのは御免被りたい…)できないときは「できない」と言います。*1 -- ぱんだ 2003-04-22 (火) 18:50:33
  • いまのところ、eclipse+webstudioのおかげで、比較的簡単に1.3.x/1.4ソースツリーの共存ができていますから、2重メンテもそんなに苦ではないですよ。 -- ぱんだ 2003-04-22 (火) 18:52:15
  • eclipseサイコーヽ(‘ ∇‘ )ノ -- 2003-04-22 (火) 19:47:05


*1 アイデアが出ないときは「見なかったこと」にしてます XD

トップ   編集 凍結 差分 バックアップ 添付 複製 名前変更 リロード   新規 一覧 検索 最終更新   ヘルプ   最終更新のRSS
Last-modified: 2003-04-22 (火) 19:47:06
Site admin: PukiWiki Development Team

PukiWiki 1.5.2+ © 2001-2019 PukiWiki Development Team. Powered by PHP 5.6.40-0+deb8u7. HTML convert time: 0.332 sec.

OSDN